KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFontUtils Namespace Reference

`from PyKDE4.kdeui.KFontUtils import *`

## Detailed Description

******************************************************************************* * Copyright (C) 2005, 2009 by Albert Astals Cid <aacid@kde.org> * * This library is free software; you can redistribute it and/or * modify it under the terms of the GNU Lesser General Public * License as published by the Free Software Foundation; either * version 2.1 of the License, or (at your option) version 3, or any * later version accepted by the membership of KDE e.V. (or its * successor approved by the membership of KDE e.V.), which shall * act as a proxy defined in Section 6 of version 3 of the license. * * This library is distributed in the hope that it will be useful, * but WITHOUT ANY WARRANTY; without even the implied warranty of * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU * Lesser General Public License for more details. * * You should have received a copy of the GNU Lesser General Public * License along with this library. If not, see <http://www.gnu.org/licenses/>. * * ******************************************************************************

## Enumerations
AdaptFontSizeOption | { NoFlags, DoNotAllowWordWrap }
## Functions
float | adaptFontSize (QPainter painter, QString text, float width, float height, float maxFontSize=28.0, float minFontSize=1.0, KFontUtils.AdaptFontSizeOptions flags=KFontUtils.NoFlags)
float | adaptFontSize (QPainter painter, QString text, QSizeF availableSize, float maxFontSize=28.0, float minFontSize=1.0, KFontUtils.AdaptFontSizeOptions flags=KFontUtils.NoFlags)

## Enumeration Documentation

AdaptFontSizeOption

Modifiers for the adaptFontSize function

Enumerator:

  NoFlags = 0x01 |
  DoNotAllowWordWrap = 0x02 |

## Function Documentation

float adaptFontSize | ( | QPainter | painter,
|  | QString | text,
|  | float | width,
|  | float | height,
|  | float | maxFontSize=28.0,
|  | float | minFontSize=1.0,
|  | KFontUtils.AdaptFontSizeOptions | flags=KFontUtils.NoFlags
| ) |  |  |

Convenience function for adaptFontSize that accepts a QSizeF instead two qreals

Since:
  KDE 4.7

float adaptFontSize | ( | QPainter | painter,
|  | QString | text,
|  | QSizeF | availableSize,
|  | float | maxFontSize=28.0,
|  | float | minFontSize=1.0,
|  | KFontUtils.AdaptFontSizeOptions | flags=KFontUtils.NoFlags
| ) |  |  |

Convenience function for adaptFontSize that accepts a QSizeF instead two qreals

Since:
  KDE 4.7